crate = {x=0,y=0,width=20,height=20,yvel=0,xvel=0,jumping=false,gravity=900}
crateimg = love.graphics.newImage('art/Crate.png')
crateimg:setFilter('nearest','nearest')
function crate_physics(dt)
     for i,v in ipairs(crate) do
        v.y = v.y + v.yvel * dt
        v.yvel = v.yvel + v.gravity * dt
    end
end

function crate_spawn(nx,ny,range)
    crate[#crate + 1] = {x=math.random(nx,nx+range),y=ny+25,yvel=0,xvel=0,width=40,height=40,gravity=900}
end


function DRAW_CRATE()
    gr.setColor(204,153,51)
    for i,v in ipairs(crate) do
        draw(crateimg,v.x,v.y,0,2,2)
        if aabb(player,crate[i]) then
           points = points + 1
           cratespawned = false
            table.remove(crate,i)
        end
        if #crate >= 2 then
            table.remove(crate,i)
        end
    end
end

