Stateful = require 'lib.stateful'
require 'lib.middleclass'
require 'lua.States.GameState'
require 'lua.States.Mainmenu'
require 'lua.States.Survival'

gr = love.graphics
rect= gr.rectangle
draw = gr.draw
focus = true
cratespawned = nil
--------------------------------------------------------------------------------
function love.load()
    gamestate = GameState:new()
    gamestate:gotoState('Mainmenu')
    backimg = love.graphics.newImage('art/Menu.png')
end

--------------------------------------------------------------------------------
function love.update(dt)
	gamestate:update(dt)
end

--------------------------------------------------------------------------------
function love.draw()
	gamestate:draw()
end

--------------------------------------------------------------------------------
function love.focus(f)
	gamestate:focus(f)
end

--------------------------------------------------------------------------------
function love.joystickpressed(joystick, button)
	gamestate:joystickpressed(joystick, button)
end

--------------------------------------------------------------------------------
function love.joystickreleased(joystick, button)
	gamestate:joystickreleased(joystick, button)
end

--------------------------------------------------------------------------------
function love.keypressed(key, unicode)
	gamestate:keypressed(key, unicode)
end

--------------------------------------------------------------------------------
function love.keyreleased(key)
	gamestate:keyreleased(key)
end

--------------------------------------------------------------------------------
function love.mousepressed(x, y, button)
	gamestate:mousepressed(x, y, button)
end

--------------------------------------------------------------------------------
function love.mousereleased(x, y, button)
	gamestate:mousereleased(x, y, button)
end

--------------------------------------------------------------------------------
function love.quit()
	gamestate:quit()
end

